/* Configuration for sterleardemoqueu generated by Alire */
#ifndef STERLEARDEMOQUEU_CONFIG_H
#define STERLEARDEMOQUEU_CONFIG_H

#define CRATE_VERSION "0.1.0-dev"
#define CRATE_NAME "sterleardemoqueu"

#define ALIRE_HOST_OS "macos"

#define ALIRE_HOST_ARCH "x86_64"

#define ALIRE_HOST_DISTRO "distro_unknown"

#define DEFAULT_NB_LOOPS_FIRST 1
#define DEFAULT_NB_LOOPS_LAST 9223372036854775807
#define DEFAULT_NB_LOOPS 10

#define TRACE_LEVEL_INFO 1
#define TRACE_LEVEL_DETAILS 2
#define TRACE_LEVEL_DEBUG 3

#define TRACE_LEVEL  1

#define QUEUE_SIZE_FIRST 1
#define QUEUE_SIZE_LAST 9223372036854775807
#define QUEUE_SIZE 100

#define DEFAULT_NB_PRODUCERS_FIRST 1
#define DEFAULT_NB_PRODUCERS_LAST 9223372036854775807
#define DEFAULT_NB_PRODUCERS 10

#define BUILD_PROFILE_RELEASE 1
#define BUILD_PROFILE_VALIDATION 2
#define BUILD_PROFILE_DEVELOPMENT 3

#define BUILD_PROFILE  3

#endif
